# Poco::Net

# class SSLException

Library: NetSSL_OpenSSL
Package: SSLCore
Header: Poco/Net/SSLException.h

## Inheritance

Direct Base Classes: NetException

All Base Classes: Poco::Exception, Poco::IOException, NetException, Poco::RuntimeException, std::exception

Known Derived Classes: SSLContextException, InvalidCertificateException, CertificateValidationException, SSLConnectionUnexpectedlyClosedException

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### SSLException

SSLException(
int code = 0
);

### SSLException

SSLException(
const SSLException & exc
);

### SSLException

SSLException(
const std::string & msg,
int code = 0
);

### SSLException

SSLException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### SSLException

SSLException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~SSLException

~SSLException() noexcept;

## Member Functions

### className

const char * className() const noexcept;

See also: Poco::Net::NetException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const noexcept;

See also: Poco::Net::NetException::name()

### operator =

SSLException & operator = (
const SSLException & exc
);

### rethrow

void rethrow() const;

See also: Poco::Net::NetException::rethrow()